#
# spec file for package python-azure-mgmt
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-azure-mgmt
Version:        4.0.0
Release:        150200.9.3.2
Summary:        Microsoft Azure Resource Management bundle
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt/azure-mgmt-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-mgmt-advisor
Requires:       python-azure-mgmt-agfood
Requires:       python-azure-mgmt-agrifood
Requires:       python-azure-mgmt-alertsmanagement
Requires:       python-azure-mgmt-apimanagement
Requires:       python-azure-mgmt-app
Requires:       python-azure-mgmt-appconfiguration
Requires:       python-azure-mgmt-applicationinsights
Requires:       python-azure-mgmt-appplatform
Requires:       python-azure-mgmt-attestation
Requires:       python-azure-mgmt-authorization
Requires:       python-azure-mgmt-automanage
Requires:       python-azure-mgmt-automation
Requires:       python-azure-mgmt-avs
Requires:       python-azure-mgmt-azureadb2c
Requires:       python-azure-mgmt-azurestack
Requires:       python-azure-mgmt-azurestackhci
Requires:       python-azure-mgmt-baremetalinfrastructure
Requires:       python-azure-mgmt-batch
Requires:       python-azure-mgmt-batchai
Requires:       python-azure-mgmt-billing
Requires:       python-azure-mgmt-botservice
Requires:       python-azure-mgmt-cdn
Requires:       python-azure-mgmt-chaos
Requires:       python-azure-mgmt-cognitiveservices
Requires:       python-azure-mgmt-commerce
Requires:       python-azure-mgmt-communication
Requires:       python-azure-mgmt-compute
Requires:       python-azure-mgmt-confluent
Requires:       python-azure-mgmt-connectedvmware
Requires:       python-azure-mgmt-consumption
Requires:       python-azure-mgmt-containerinstance
Requires:       python-azure-mgmt-containerregistry
Requires:       python-azure-mgmt-containerservice
Requires:       python-azure-mgmt-core
Requires:       python-azure-mgmt-cosmosdb
Requires:       python-azure-mgmt-costmanagement
Requires:       python-azure-mgmt-customproviders
Requires:       python-azure-mgmt-databox
Requires:       python-azure-mgmt-databoxedge
Requires:       python-azure-mgmt-databricks
Requires:       python-azure-mgmt-datadog
Requires:       python-azure-mgmt-datafactory
Requires:       python-azure-mgmt-datalake-analytics
Requires:       python-azure-mgmt-datalake-nspkg
Requires:       python-azure-mgmt-datalake-store
Requires:       python-azure-mgmt-datamigration
Requires:       python-azure-mgmt-dataprotection
Requires:       python-azure-mgmt-datashare
Requires:       python-azure-mgmt-deploymentmanager
Requires:       python-azure-mgmt-deviceupdate
Requires:       python-azure-mgmt-devspaces
Requires:       python-azure-mgmt-devtestlabs
Requires:       python-azure-mgmt-digitaltwins
Requires:       python-azure-mgmt-dns
Requires:       python-azure-mgmt-documentdb
Requires:       python-azure-mgmt-edgegateway
Requires:       python-azure-mgmt-edgeorder
Requires:       python-azure-mgmt-elastic
Requires:       python-azure-mgmt-eventgrid
Requires:       python-azure-mgmt-eventhub
Requires:       python-azure-mgmt-extendedlocation
Requires:       python-azure-mgmt-fluidrelay
Requires:       python-azure-mgmt-frontdoor
Requires:       python-azure-mgmt-guestconfig
Requires:       python-azure-mgmt-hanaonazure
Requires:       python-azure-mgmt-hdinsight
Requires:       python-azure-mgmt-healthcareapis
Requires:       python-azure-mgmt-hybridcompute
Requires:       python-azure-mgmt-hybridkubernetes
Requires:       python-azure-mgmt-hybridnetwork
Requires:       python-azure-mgmt-imagebuilder
Requires:       python-azure-mgmt-iotcentral
Requires:       python-azure-mgmt-iothub
Requires:       python-azure-mgmt-iothubprovisioningservices
Requires:       python-azure-mgmt-keyvault
Requires:       python-azure-mgmt-kubernetesconfiguration
Requires:       python-azure-mgmt-kusto
Requires:       python-azure-mgmt-labservices
Requires:       python-azure-mgmt-loadtestservice
Requires:       python-azure-mgmt-loganalytics
Requires:       python-azure-mgmt-logic
Requires:       python-azure-mgmt-logz
Requires:       python-azure-mgmt-machinelearningcompute
Requires:       python-azure-mgmt-machinelearningservices
Requires:       python-azure-mgmt-maintenance
Requires:       python-azure-mgmt-managedservices
Requires:       python-azure-mgmt-managementgroups
Requires:       python-azure-mgmt-managementpartner
Requires:       python-azure-mgmt-maps
Requires:       python-azure-mgmt-marketplaceordering
Requires:       python-azure-mgmt-media
Requires:       python-azure-mgmt-mixedreality
Requires:       python-azure-mgmt-mobilenetwork
Requires:       python-azure-mgmt-monitor
Requires:       python-azure-mgmt-msi
Requires:       python-azure-mgmt-netapp
Requires:       python-azure-mgmt-network
Requires:       python-azure-mgmt-notificationhubs
Requires:       python-azure-mgmt-nspkg
Requires:       python-azure-mgmt-oep
Requires:       python-azure-mgmt-orbital
Requires:       python-azure-mgmt-peering
Requires:       python-azure-mgmt-policyinsights
Requires:       python-azure-mgmt-portal
Requires:       python-azure-mgmt-powerbidedicated
Requires:       python-azure-mgmt-powerbiembedded
Requires:       python-azure-mgmt-privatedns
Requires:       python-azure-mgmt-purview
Requires:       python-azure-mgmt-quantum
Requires:       python-azure-mgmt-quota
Requires:       python-azure-mgmt-rdbms
Requires:       python-azure-mgmt-recoveryservices
Requires:       python-azure-mgmt-recoveryservicesbackup
Requires:       python-azure-mgmt-recoveryservicessiterecovery
Requires:       python-azure-mgmt-redhatopenshift
Requires:       python-azure-mgmt-redis
Requires:       python-azure-mgmt-regionmove
Requires:       python-azure-mgmt-relay
Requires:       python-azure-mgmt-reservations
Requires:       python-azure-mgmt-resource
Requires:       python-azure-mgmt-resourceconnector
Requires:       python-azure-mgmt-resourcegraph
Requires:       python-azure-mgmt-resourcehealth
Requires:       python-azure-mgmt-resourcemover
Requires:       python-azure-mgmt-scheduler
Requires:       python-azure-mgmt-search
Requires:       python-azure-mgmt-security
Requires:       python-azure-mgmt-serialconsole
Requires:       python-azure-mgmt-servermanager
Requires:       python-azure-mgmt-servicebus
Requires:       python-azure-mgmt-servicefabric
Requires:       python-azure-mgmt-servicefabricmanagedclusters
Requires:       python-azure-mgmt-servicelinker
Requires:       python-azure-mgmt-signalr
Requires:       python-azure-mgmt-sql
Requires:       python-azure-mgmt-sqlvirtualmachine
Requires:       python-azure-mgmt-storage
Requires:       python-azure-mgmt-storagecache
Requires:       python-azure-mgmt-storageimportexport
Requires:       python-azure-mgmt-storagepool
Requires:       python-azure-mgmt-storagesync
Requires:       python-azure-mgmt-streamanalytics
Requires:       python-azure-mgmt-subscription
Requires:       python-azure-mgmt-support
Requires:       python-azure-mgmt-synapse
Requires:       python-azure-mgmt-testbase
Requires:       python-azure-mgmt-timeseriesinsights
Requires:       python-azure-mgmt-trafficmanager
Requires:       python-azure-mgmt-videoanalyzer
Requires:       python-azure-mgmt-vmwarecloudsimple
Requires:       python-azure-mgmt-web
Requires:       python-azure-mgmt-webpubsub
Conflicts:      python-azure-sdk <= 2.0.0
BuildArch:      noarch
%python_subpackages

%description
This is the Microsoft Azure Resource Management bundle.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package does not contain any code in itself. It installs a set
of packages that provide management APIs for the various Azure services.

All packages in this bundle have been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
%setup -q -n azure-mgmt-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/azure_mgmt-*.egg-info

%changelog
* Thu Jul 21 2022 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1199282, jsc#PM-3243, jsc#SLE-24629)
* Tue Mar 22 2022 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-app
* Wed Mar 16 2022 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-agfood
  + python-azure-mgmt-agrifood
  + python-azure-mgmt-avs
  + python-azure-mgmt-chaos
  + python-azure-mgmt-connectedvmware
  + python-azure-mgmt-dataprotection
  + python-azure-mgmt-deviceupdate
  + python-azure-mgmt-digitaltwins
  + python-azure-mgmt-edgeorder
  + python-azure-mgmt-elastic
  + python-azure-mgmt-extendedlocation
  + python-azure-mgmt-fluidrelay
  + python-azure-mgmt-guestconfig
  + python-azure-mgmt-hybridnetwork
  + python-azure-mgmt-loadtestservice
  + python-azure-mgmt-logz
  + python-azure-mgmt-mobilenetwork
  + python-azure-mgmt-oep
  + python-azure-mgmt-orbital
  + python-azure-mgmt-purview
  + python-azure-mgmt-quantum
  + python-azure-mgmt-quota
  + python-azure-mgmt-recoveryservicessiterecovery
  + python-azure-mgmt-resourceconnector
  + python-azure-mgmt-resourcehealth
  + python-azure-mgmt-servicefabricmanagedclusters
  + python-azure-mgmt-servicelinker
  + python-azure-mgmt-storagepool
  + python-azure-mgmt-testbase
  + python-azure-mgmt-videoanalyzer
  + python-azure-mgmt-webpubsub
* Wed Oct 13 2021 adrian.glaubitz@suse.com
- Remove all version constraints in Requires (bsc#1187880, bsc#1188178)
* Fri Jan  8 2021 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-azureadb2c
  + python-azure-mgmt-confluent
  + python-azure-mgmt-customproviders
  + python-azure-mgmt-databox
  + python-azure-mgmt-datadog
  + python-azure-mgmt-hybridkubernetes
  + python-azure-mgmt-maintenance
  + python-azure-mgmt-portal
  + python-azure-mgmt-powerbidedicated
  + python-azure-mgmt-support
  + python-azure-mgmt-timeseriesinsights
- Remove all version constraints in Requires
* Tue Dec 15 2020 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Thu Nov 26 2020 rjschwei@suse.com
- Only build Python3 flavors for distributions 15 and greater
* Tue Nov 24 2020 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-databoxedge
- Update version numbers for component packages in Requires
  + python-azure-mgmt-attestation >= 0.2.0
  + python-azure-mgmt-billing >= 1.0.0
  + python-azure-mgmt-communication >= 1.0.0b4
  + python-azure-mgmt-compute >= 18.0.0
  + python-azure-mgmt-containerservice >= 10.1.0
  + python-azure-mgmt-datafactory >= 0.14.0
  + python-azure-mgmt-datamigration >= 4.1.0
  + python-azure-mgmt-hdinsight >= 2.0.0
  + python-azure-mgmt-healthcareapis >= 0.2.0
  + python-azure-mgmt-kusto >= 0.10.0
  + python-azure-mgmt-loganalytics >= 2.0.0
  + python-azure-mgmt-media >= 3.0.0
  + python-azure-mgmt-netapp >= 0.14.0
  + python-azure-mgmt-policyinsights >= 0.6.0
  + python-azure-mgmt-security >= 0.6.0
* Tue Nov 17 2020 adrian.glaubitz@suse.com
- Lower version dependency for python-azure-mgmt-resource to >= 10.0.0
* Thu Nov 12 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-cognitiveservices >= 6.3.0
  + python-azure-mgmt-core >= 1.2.2
  + python-azure-mgmt-keyvault >= 8.0.0
  + python-azure-mgmt-sql >= 0.24.0
  + python-azure-mgmt-subscription >= 0.7.0
* Mon Oct 12 2020 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-automanage
  + python-azure-mgmt-azurestackhci
  + python-azure-mgmt-baremetalinfrastructure
  + python-azure-mgmt-communication
  + python-azure-mgmt-resourcemover
  + python-azure-mgmt-streamanalytics
* Tue Oct  6 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-appconfiguration >= 1.0.1
  + python-azure-mgmt-compute >= 17.0.0
  + python-azure-mgmt-hybridcompute >= 2.0.0
  + python-azure-mgmt-loganalytics >= 1.0.0
  + python-azure-mgmt-monitor >= 1.0.1
  + python-azure-mgmt-netapp >= 0.13.0
  + python-azure-mgmt-resource >= 15.0.0
  + python-azure-mgmt-search >= 3.0.0
  + python-azure-mgmt-servicebus >= 1.0.0
  + python-azure-mgmt-storage >= 16.0.0
  + python-azure-mgmt-synapse >= 0.4.0
  + python-azure-mgmt-web >= 0.48.0
* Wed Sep 23 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-containerservice >= 9.4.0
  + python-azure-mgmt-eventhub >= 8.0.0
  + python-azure-mgmt-network >= 16.0.0
  + python-azure-mgmt-rdbms >= 3.0.0
  + python-azure-mgmt-sql >= 0.21.0
* Tue Sep  8 2020 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-appplatform >= 1.0.0
  + python-azure-mgmt-hybridcompute >= 1.0.0
- Update version numbers for component packages in Requires
  + python-azure-mgmt-advisor >= 4.0.0
  + python-azure-mgmt-apimanagement >= 0.2.0
  + python-azure-mgmt-containerservice >= 9.3.0
  + python-azure-mgmt-datafactory >= 0.13.0
  + python-azure-mgmt-mixedreality >= 0.2.0
  + python-azure-mgmt-recoveryservices >= 0.5.0
  + python-azure-mgmt-recoveryservicesbackup >= 0.8.0
* Tue Sep  1 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-keyvault >= 7.0.0
  + python-azure-mgmt-synapse >= 0.3.0
* Mon Aug 31 2020 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-datashare >= 0.2.0
- Update version numbers for component packages in Requires
  + python-azure-mgmt-appconfiguration >= 0.6.0
  + python-azure-mgmt-authorization >= 0.61.0
  + python-azure-mgmt-containerinstance < 3.0.0
  + python-azure-mgmt-containerinstance >= 2.0.0
  + python-azure-mgmt-containerservice >= 9.2.0
  + python-azure-mgmt-datafactory >= 0.12.0
  + python-azure-mgmt-hanaonazure >= 0.14.0
  + python-azure-mgmt-iotcentral >= 3.1.0
  + python-azure-mgmt-kubernetesconfiguration >= 0.2.0
  + python-azure-mgmt-kusto >= 0.9.0
  + python-azure-mgmt-reservations >= 0.8.0
  + python-azure-mgmt-servicefabric >= 0.5.0
  + python-azure-mgmt-sql >= 0.20.0
  + python-azure-mgmt-storage >= 11.2.0
  + python-azure-mgmt-storagecache >= 0.3.0
  + python-azure-mgmt-subscription >= 0.6.0
* Tue Aug 18 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-appconfiguration >= 0.5.0
  + python-azure-mgmt-cdn >= 5.1.0
  + python-azure-mgmt-cosmosdb >= 1.0.0
  + python-azure-mgmt-hdinsight >= 1.7.0
  + python-azure-mgmt-netapp >= 0.12.0
  + python-azure-mgmt-resource >= 10.2.0
* Mon Jul 20 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-batch >= 9.0.0
  + python-azure-mgmt-cognitiveservices >= 6.2.0
  + python-azure-mgmt-compute >= 13.0.0
  + python-azure-mgmt-cosmosdb >= 0.15.0
  + python-azure-mgmt-eventgrid >= 3.0.0rc8
  + python-azure-mgmt-eventhub >= 4.0.0
  + python-azure-mgmt-hdinsight >= 1.5.1
  + python-azure-mgmt-imagebuilder >= 0.4.0
  + python-azure-mgmt-loganalytics >= 0.7.0
  + python-azure-mgmt-monitor >= 0.11.0
  + python-azure-mgmt-network >= 11.0.0
  + python-azure-mgmt-policyinsights >= 0.5.0
  + python-azure-mgmt-resource >= 10.1.0
  + python-azure-mgmt-security >= 0.4.1
  + python-azure-mgmt-signalr >= 0.4.0
  + python-azure-mgmt-sql >= 0.19.0
  + python-azure-mgmt-storage >= 11.1.0
  + python-azure-mgmt-web >= 0.47.0
* Thu May  7 2020 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-kubernetesconfiguration
  + python-azure-mgmt-redhatopenshift
  + python-azure-mgmt-storageimportexport
  + python-azure-mgmt-synapse
- Update version numbers for component packages in Requires
  + python-azure-mgmt-applicationinsights >= 0.3.0
  + python-azure-mgmt-batch >= 8.0.0
  + python-azure-mgmt-containerservice >= 9.0.1
  + python-azure-mgmt-core >= 1.0.0
  + python-azure-mgmt-cosmosdb >= 0.14.0
  + python-azure-mgmt-costmanagement >= 0.2.0
  + python-azure-mgmt-eventgrid >= 2.2.0
  + python-azure-mgmt-kubernetesconfiguration >= 0.1.0
  + python-azure-mgmt-loganalytics >= 0.5.0
  + python-azure-mgmt-monitor >= 0.9.0
  + python-azure-mgmt-netapp >= 0.10.0
  + python-azure-mgmt-network >= 10.1.0
  + python-azure-mgmt-peering >= 0.2.0
  + python-azure-mgmt-resource >= 9.0.0
  + python-azure-mgmt-web >= 0.46.0
* Tue Apr 14 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-compute >= 12.0.0
  + python-azure-mgmt-containerservice >= 9.0.0
  + python-azure-mgmt-iotcentral >= 3.0.0
  + python-azure-mgmt-keyvault >= 2.2.0
  + python-azure-mgmt-rdbms >= 2.2.0
  + python-azure-mgmt-sql >= 0.18.0
  + python-azure-mgmt-storage >= 9.0.0
* Wed Mar 11 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-compute >= 11.1.0
  + python-azure-mgmt-rdbms >= 2.0.0
  + python-azure-mgmt-storage >= 9.0.0
* Mon Feb 24 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-appconfiguration >= 0.4.0
  + python-azure-mgmt-keyvault >= 2.1.1
  + python-azure-mgmt-resource >= 8.0.1
  + python-azure-mgmt-storage >= 7.2.0
* Mon Jan 27 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-advisor >= 3.0.0
  + python-azure-mgmt-cdn >= 4.0.0
  + python-azure-mgmt-containerservice >= 8.2.0
  + python-azure-mgmt-datamigration >= 4.0.0
  + python-azure-mgmt-deploymentmanager >= 0.2.0
  + python-azure-mgmt-frontdoor >= 0.3.
  + python-azure-mgmt-hanaonazure >= 0.12.0
  + python-azure-mgmt-hdinsight >= 1.4.0
  + python-azure-mgmt-imagebuilder >= 0.3.0
  + python-azure-mgmt-iotcentral >= 2.0.0
  + python-azure-mgmt-iothub >= 0.10.0
  + python-azure-mgmt-kusto >= 0.5.0
  + python-azure-mgmt-media >= 2.1.0
  + python-azure-mgmt-netapp >= 0.8.0
  + python-azure-mgmt-network >= 9.0.0
  + python-azure-mgmt-recoveryservicesbackup >= 0.6.0
  + python-azure-mgmt-storagecache >= 0.2.0
  + python-azure-mgmt-storagesync >= 0.2.0
  + python-azure-mgmt-web >= 0.44.0
* Tue Jan  7 2020 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-cosmosdb >= 0.11.0
  + python-azure-mgmt-hdinsight >= 1.3.0
  + python-azure-mgmt-recoveryservicesbackup >= 0.5.0
  + python-azure-mgmt-redis >= 7.0.0rc1
  + python-azure-mgmt-resource >= 7.0.0
  + python-azure-mgmt-sql >= 0.16.0
  + python-azure-mgmt-sqlvirtualmachine >= 0.5.0
  + python-azure-mgmt-storage >= 7.0.0
* Thu Nov 28 2019 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-compute >= 10.0.0
  + python-azure-mgmt-containerservice >= 8.0.0
  + python-azure-mgmt-network >= 8.0.0
  + python-azure-mgmt-storage >= 6.0.0
* Fri Oct  4 2019 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-alertsmanagement
  + python-azure-mgmt-apimanagement
  + python-azure-mgmt-appconfiguration
  + python-azure-mgmt-attestation
  + python-azure-mgmt-automation
  + python-azure-mgmt-costmanagement
  + python-azure-mgmt-databricks
  + python-azure-mgmt-deploymentmanager
  + python-azure-mgmt-edgegateway
  + python-azure-mgmt-frontdoor
  + python-azure-mgmt-healthcareapis
  + python-azure-mgmt-labservices
  + python-azure-mgmt-machinelearningservices
  + python-azure-mgmt-managedservices
  + python-azure-mgmt-mixedreality
  + python-azure-mgmt-netapp
  + python-azure-mgmt-peering
  + python-azure-mgmt-privatedns
- Update version numbers for component packages in Requires
  + python-azure-mgmt-batch >= 7.0.0
  + python-azure-mgmt-cognitiveservices >= 5.0.0
  + python-azure-mgmt-compute >= 7.0.0
  + python-azure-mgmt-consumption >= 3.0.0
  + python-azure-mgmt-containerregistry >= 3.0.0
  + python-azure-mgmt-containerservice >= 7.0.0
  + python-azure-mgmt-datamigration >= 3.0.0
  + python-azure-mgmt-dns >= 2.1.0
  + python-azure-mgmt-eventhub >= 3.0.0
  + python-azure-mgmt-devtestlabs >= 4.0.0
  + python-azure-mgmt-hdinsight >= 1.2.0
  + python-azure-mgmt-keyvault >= 2.0.0
  + python-azure-mgmt-msi >= 1.0.0
  + python-azure-mgmt-network >= 5.0.0
  + python-azure-mgmt-resource >= 4.0.0
  + python-azure-mgmt-storage >= 4.0.0
* Wed Sep 11 2019 adrian.glaubitz@suse.com
- Drop patch to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + am_drop-compatible-releases-operator.patch
* Mon Apr 15 2019 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-security
  + python-azure-mgmt-sqlvirtualmachine
- Update version numbers for component packages in Requires
  + python-azure-mgmt-advisor >= 2.0.1
  + python-azure-mgmt-authorization >= 0.51.1
  + python-azure-mgmt-batch >= 6.0.0
  + python-azure-mgmt-batchai >= 2.0.0
  + python-azure-mgmt-cdn >= 3.0.0
  + python-azure-mgmt-cognitiveservices >= 3.0.0
  + python-azure-mgmt-commerce >= 1.0.1
  + python-azure-mgmt-compute >= 4.4.0
  + python-azure-mgmt-consumption >= 2.0.0
  + python-azure-mgmt-containerinstance >= 1.4.0
  + python-azure-mgmt-containerregistry >= 2.7.0
  + python-azure-mgmt-containerservice >= 4.4.0
  + python-azure-mgmt-cosmosdb >= 0.5.2
  + python-azure-mgmt-datafactory >= 0.7.0
  + python-azure-mgmt-datamigration >= 2.1.0
  + python-azure-mgmt-devtestlabs >= 3.0.0
  + python-azure-mgmt-dns >= 2.1.0
  + python-azure-mgmt-eventgrid >= 2.0.0
  + python-azure-mgmt-eventhub >= 2.3.0
  + python-azure-mgmt-hanaonazure >= 0.4.0
  + python-azure-mgmt-hdinsight >= 0.2.1
  + python-azure-mgmt-iotcentral >= 1.0.0
  + python-azure-mgmt-iothub >= 0.7.0
  + python-azure-mgmt-keyvault >= 1.1.0
  + python-azure-mgmt-kusto >= 0.3.0
  + python-azure-mgmt-logic >= 4.0.0
  + python-azure-mgmt-media >= 1.1.0
  + python-azure-mgmt-network >= 2.0
  + python-azure-mgmt-notificationhubs >= 2.0.0
  + python-azure-mgmt-policyinsights >= 0.2.0
  + python-azure-mgmt-powerbiembedded >= 2.0.0
  + python-azure-mgmt-rdbms >= 1.7.0
  + python-azure-mgmt-redis >= 6.0.0
  + python-azure-mgmt-reservations >= 0.3.1
  + python-azure-mgmt-scheduler >= 2.0.0
  + python-azure-mgmt-servicebus >= 0.5.3
  + python-azure-mgmt-signalr >= 0.1.1
  + python-azure-mgmt-sql >= 0.11.0
  + python-azure-mgmt-storage >= 3.1.1
  + python-azure-mgmt-trafficmanager >= 0.51.0
  + python-azure-mgmt-web >= 0.41.0
- Remove python-devel package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
* Thu Sep  6 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 4.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-botservice
  + python-azure-mgmt-datamigration
  + python-azure-mgmt-devspaces
  + python-azure-mgmt-documentdb
  + python-azure-mgmt-hdinsight
  + python-azure-mgmt-iotcentral
  + python-azure-mgmt-kusto
  + python-azure-mgmt-managementgroups
  + python-azure-mgmt-maps
  + python-azure-mgmt-policyinsights
  + python-azure-mgmt-servermanager
  + python-azure-mgmt-signalr
- Update version numbers for component packages in Requires
  + python-azure-mgmt-authorization >= 0.50.0
  + python-azure-mgmt-batchai >= 2.0
  + python-azure-mgmt-billing >= 0.2.0
  + python-azure-mgmt-cdn >= 3.0
  + python-azure-mgmt-cognitiveservices >= 3.0
  + python-azure-mgmt-compute >= 4.0
  + python-azure-mgmt-containerinstance >= 1.0
  + python-azure-mgmt-containerregistry >= 2.1
  + python-azure-mgmt-containerservice >= 4.2
  + python-azure-mgmt-cosmosdb >= 0.4.1
  + python-azure-mgmt-datafactory >= 0.6.0
  + python-azure-mgmt-datalake-analytics >= 0.6.0
  + python-azure-mgmt-datalake-store >= 0.5.0
  + python-azure-mgmt-datamigration >= 1.0
  + python-azure-mgmt-devtestlabs >= 2.2
  + python-azure-mgmt-dns >= 2.0
  + python-azure-mgmt-eventgrid >= 1.0
  + python-azure-mgmt-eventhub >= 2.1
  + python-azure-mgmt-hanaonazure >= 0.1.1
  + python-azure-mgmt-iotcentral >= 0.1.0
  + python-azure-mgmt-iothub >= 0.5.0
  + python-azure-mgmt-iothubprovisioningservices >= 0.2.0
  + python-azure-mgmt-keyvault >= 1.0
  + python-azure-mgmt-loganalytics >= 0.2.0
  + python-azure-mgmt-logic >= 3.0
  + python-azure-mgmt-machinelearningcompute >= 0.4.1
  + python-azure-mgmt-managementgroups >= 0.1.0
  + python-azure-mgmt-media >= 1.0.0rc2
  + python-azure-mgmt-monitor >= 0.5.2
  + python-azure-mgmt-msi >= 0.2.0
  + python-azure-mgmt-network >= 2.0
  + python-azure-mgmt-notificationhubs >= 2.0
  + python-azure-mgmt-powerbiembedded >= 2.0
  + python-azure-mgmt-rdbms >= 1.2
  + python-azure-mgmt-recoveryservices >= 0.3.0
  + python-azure-mgmt-recoveryservicesbackup >= 0.3.0
  + python-azure-mgmt-reservations >= 0.2.1
  + python-azure-mgmt-resource >= 2.0
  + python-azure-mgmt-scheduler >= 2.0
  + python-azure-mgmt-search >= 2.0
  + python-azure-mgmt-servicebus >= 0.5.1
  + python-azure-mgmt-servicefabric >= 0.2.0
  + python-azure-mgmt-sql >= 0.9.1
  + python-azure-mgmt-storage >= 2.0
  + python-azure-mgmt-subscription >= 0.2.0
  + python-azure-mgmt-trafficmanager >= 0.50.0
  + python-azure-mgmt-web >= 0.35.0
- Update patches for new version
  + am_drop-compatible-releases-operator.patch
- Update %%description from setup.py
- Update Requires from setup.py
* Mon May  7 2018 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-batchai >= 1.0.0
  + python-azure-mgmt-compute >= 4.0.0rc1
  + python-azure-mgmt-dns >= 2.0.0rc1
  + python-azure-mgmt-network >= 2.0.0rc2
  + python-azure-mgmt-rdbms >= 1.1.0
* Fri Apr 13 2018 adrian.glaubitz@suse.com
- New upstream version
  + Version 2.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-batchai
  + python-azure-mgmt-billing
  + python-azure-mgmt-containerinstance
  + python-azure-mgmt-containerservice
  + python-azure-mgmt-managementpartner
  + python-azure-mgmt-relay
  + python-azure-mgmt-servicefabric
- Remove obsolete packages from the Azure SDK from Requires
  + python-azure-mgmt-documentdb
- Move LICENSE.txt from %%doc to %%license section
- Update patches for new version
  + am_drop-compatible-releases-operator.patch
- Update Requires from setup.py
* Tue Feb 13 2018 adrian.glaubitz@suse.com
- Update version numbers for component packages in Requires
  + python-azure-mgmt-batch to >= 5.0.0
  + python-azure-mgmt-cdn to >= 2.0.0
  + python-azure-mgmt-cognitiveservices to >= 2.0.0
* Thu Jan 25 2018 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-advisor
  + python-azure-mgmt-applicationinsights
  + python-azure-mgmt-consumption
  + python-azure-mgmt-datafactory
  + python-azure-mgmt-hanaonazure
  + python-azure-mgmt-iothubprovisioningservices
  + python-azure-mgmt-loganalytics
  + python-azure-mgmt-machinelearningcompute
  + python-azure-mgmt-marketplaceordering
  + python-azure-mgmt-msi
  + python-azure-mgmt-reservations
  + python-azure-mgmt-subscription
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-eventgrid
  + python-azure-mgmt-recoveryservices
- Explicitly specify Python files of the package in %%files
- Remove bogus tests directory from %%files
- Bump python-azure-mgmt-compute Requires to >= 3.0.0
- Bump python-azure-mgmt-containerregistry Requires to >= 1.0.0
* Tue Jul 11 2017 adrian.glaubitz@suse.com
- Update version numbers in Requires
  + Bump minimum version for python-azure-mgmt-cdn to 1.0.0
  + Bump minimum version for python-azure-mgmt-compute to 2.0.0
- Add additional packages from the Azure SDK to Requires
  + python-azure-mgmt-commerce
  + python-azure-mgmt-cosmosdb
  + python-azure-mgmt-eventhub
  + python-azure-mgmt-media
  + python-azure-mgmt-notificationhubs
  + python-azure-mgmt-powerbiembedded
  + python-azure-mgmt-recoveryservicesbackup
  + python-azure-mgmt-search
  + python-azure-mgmt-servermanager
  + python-azure-mgmt-servicebus
* Tue Jun 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 1.0.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + am_drop-compatible-releases-operator.patch
